//+------------------------------------------------------------------+
//|      BUY  SELL         |
//|                   |
//|   razmer_trala_punktov                    |
//+------------------------------------------------------------------+
#property copyright "Vyacheslav Barbakov"
#property link      "barbakov@bk.ru"
//+------------------------------------------------------------------+
extern   int     razmer_trala_punktov   = 10;
extern   int     MagicNumber            = 0;
//+------------------------------------------------------------------+
         double  uroven_buy_close       = 0;
         double  uroven_sell_close      = 0; 
         double  uroven_buy_bezubitka   = 0;
         double  uroven_sell_bezubitka  = 0; 
         double  stop_buy;
//+------------------------------------------------------------------+
int deinit()
{
  Comment("  ");
  return(0);
}
//+------------------------------------------------------------------+
int start()
{
  Comment("\n      BUY  SELL",
          "\n      ", razmer_trala_punktov, " ");

  static bool    res_close_buy       =  true;
  static bool    res_close_sell      =  true;
  static int     rost                =  0;
  static int     padenie             =  0;
         double  otstup              =  NormalizeDouble(razmer_trala_punktov * Point, Digits);
         
  for (int t = 0; t < OrdersTotal(); t ++)
  if(OrderSelect(t, SELECT_BY_POS))
  {
//+------------------------------------------------------------------+
//|     BUY
//+------------------------------------------------------------------+
    if (OrderType() == 0 && OrderMagicNumber() == MagicNumber)
    {
      if (Bid > OrderOpenPrice() && rost == 0)
      {
        uroven_buy_bezubitka = Bid;
        uroven_buy_close = Bid;
        rost = 1;
      }
      
      if (Bid > uroven_buy_bezubitka && uroven_buy_bezubitka != 0 && Bid > uroven_buy_close)
      { 
        uroven_buy_close = Bid;
      }
      if (uroven_buy_close - Bid > 0)
      {
        int otkat_buy = (uroven_buy_close - Bid)* MathPow(10, Digits);
      }
      Comment("\n : ", OrderProfit(), " ", AccountCurrency(), ",   ", OrderProfit() / OrderLots(), " .", 
              "\n  : ", DoubleToStr(uroven_buy_close, Digits),
              "\n  : ", DoubleToStr(uroven_buy_bezubitka, Digits),
              "\n : ", otkat_buy, ",   ", razmer_trala_punktov );

      if (Bid + otstup < uroven_buy_close || !res_close_buy && uroven_buy_close != 0)
      {
        res_close_buy = OrderClose(OrderTicket(), OrderLots(), Bid, 3, Blue);
        if (res_close_buy)
        {
          Comment("  ");
          rost = 0;
          uroven_buy_bezubitka = 0;
          uroven_buy_close = 0;
        }
      }
    }
//+------------------------------------------------------------------+
//|     SELL
//+------------------------------------------------------------------+
    if (OrderType() ==  1  && OrderMagicNumber() == MagicNumber) 
    {
      if (Ask < OrderOpenPrice() && padenie == 0)
      {
        uroven_sell_bezubitka = Ask;
        uroven_sell_close = Ask;
        padenie = 1;
      }

      if (Ask < uroven_sell_bezubitka && uroven_sell_bezubitka != 0 && Ask < uroven_sell_close)
      { 
        uroven_sell_close = Ask;
      }
      if (Ask - uroven_sell_close  > 0 && uroven_sell_close != 0)
      {
        int otkat_sell = (Ask - uroven_sell_close)* MathPow(10, Digits);
      }

      Comment("\n : ", OrderProfit(), 
              "\n  : ", DoubleToStr(uroven_sell_close, Digits),
              "\n  : ", DoubleToStr(uroven_sell_bezubitka, Digits),
              "\n : ", otkat_sell );

      if (Ask - otstup > uroven_sell_close || !res_close_sell && uroven_sell_close != 0)
      {
        res_close_sell = OrderClose(OrderTicket(), OrderLots(), Ask, 3, Blue);
        if (res_close_sell)
        {
          padenie = 0;
          uroven_sell_bezubitka = 0;
          uroven_sell_close = 0;
          Comment(" ");
        }
      }
    }
//+------------------------------------------------------------------+
  }
  return(0);
}
//+------------------------------------------------------------------+